package com.kurukurupapa.tryandroid.fw.apt;

import com.kurukurupapa.tryandroid.fw.apt.TaaEntity;
import com.kurukurupapa.tryandroid.fw.apt.TaaExclude;
import com.kurukurupapa.tryandroid.fw.apt.TaaId;

@TaaEntity
public class ManyEntity {
	@TaaExclude
	public static final int LIMIT = 1000;
	@TaaExclude
	public static final String LIMIT_STR = String.valueOf(LIMIT);

	@TaaId
	private int _id;

	private boolean booleanItem;
	private short shortItem;
	private int intItem;
	private long longItem;
	private float floatItem;
	private double doubleItem;
	private String stringItem;

	@TaaExclude
	private String excludeItem;

	public int get_id() {
		return _id;
	}

	public void set_id(int id) {
		this._id = id;
	}

	public boolean getBooleanItem() {
		return booleanItem;
	}

	public void setBooleanItem(boolean booleanItem) {
		this.booleanItem = booleanItem;
	}

	public short getShortItem() {
		return shortItem;
	}

	public void setShortItem(short shortItem) {
		this.shortItem = shortItem;
	}

	public int getIntItem() {
		return intItem;
	}

	public void setIntItem(int intItem) {
		this.intItem = intItem;
	}

	public long getLongItem() {
		return longItem;
	}

	public void setLongItem(long longItem) {
		this.longItem = longItem;
	}

	public float getFloatItem() {
		return floatItem;
	}

	public void setFloatItem(float floatItem) {
		this.floatItem = floatItem;
	}

	public double getDoubleItem() {
		return doubleItem;
	}

	public void setDoubleItem(double doubleItem) {
		this.doubleItem = doubleItem;
	}

	public String getStringItem() {
		return stringItem;
	}

	public void setStringItem(String stringItem) {
		this.stringItem = stringItem;
	}

	public String getExcludeItem() {
		return excludeItem;
	}

	public void setExcludeItem(String exclude) {
		this.excludeItem = exclude;
	}

}
